LinuxQuestions.org
Review your favorite Linux distribution.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
  Search this Thread
Old 03-22-2006, 07:42 AM   #1
mnazeer
LQ Newbie
 
Registered: Dec 2004
Location: Karachi-Pakistan
Posts: 5

Rep: Reputation: 0
Perl v6.8.0 Upgrade to Perl v6.8.8


Guys,
I in a quite strange situation. I am installing 'astguiclient' and during that process, I was advised to upgrade currently installed version of PERL i.e. 6.8.0 to 6.8.8

So, I am not being able to make the decision that should I uninstall the currently installed version or should I install the newer one as it is.

But, I personally prefer to uninstall the current one.
So, My Question is: How can I uninstall Perl v6.8.0, which is installed by default with my Linux Distro?

I am using RedHat Linux WS 3 (Taroon)

Or Is there a way that I can upgrade Perl v6.8.0 to Perl v6.8.8?
 
Old 03-22-2006, 07:52 AM   #2
reddazz
LQ Guru
 
Registered: Nov 2003
Location: N. E. England
Distribution: Fedora, CentOS, Debian
Posts: 16,298

Rep: Reputation: 77
Do you mean perl 5.8.x because 6.x has not been released yet. If you can get perl 5.8.8 rpms for your distro then I'd urge you to upgrade using those. If not you'll have to compile perl from source, but unfortunately it can break the version installed by rpm (You can't remove the rpm version because that can cause problems with packages that depend on it). Maybe there is a way to make 2 versions of perl coexist so you may want to look into that.
 
Old 03-23-2006, 11:30 PM   #3
mnazeer
LQ Newbie
 
Registered: Dec 2004
Location: Karachi-Pakistan
Posts: 5

Original Poster
Rep: Reputation: 0
Ya, thats exactly what I was thinking...........
So, can anybody tell me how to make Two versions of PERL i.e. 5.8.0 & 5.8.8 co-exist......
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Problem with perl module for w3c validator to work on my local Apache+PHP+perl instal tbamt Linux - Software 0 12-16-2004 05:37 PM
Yum error: .conflict between perl and perl-NDBM_File zepplin611 Red Hat 3 10-20-2004 10:22 AM
cgi perl : I cant get perl to append my html file... the_y_man Programming 3 03-22-2004 05:07 AM
perl(Cwd) perl(File::Basename) perl(File::Copy) perl(strict)....What are those? Baldorg Linux - Software 1 11-09-2003 08:09 PM
chrooting apache v2 (php, ssl, perl support) ; perl configuration markus1982 Linux - Security 3 01-26-2003 06:15 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Software

All times are GMT -5. The time now is 03:20 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Open Source Consulting | Domain Registration